]> arthur.barton.de Git - ngircd-alex.git/blobdiff - src/testsuite/start-server.sh
Test suite: Correctly test for LOGNAME and USER
[ngircd-alex.git] / src / testsuite / start-server.sh
index 0fd61ea97c361093a4cb148e2b04724658bf3111..bc6eb7ea4a0d83f7968ae5844adaa2419b025d45 100755 (executable)
@@ -1,10 +1,11 @@
 #!/bin/sh
 # ngIRCd Test Suite
 
-[ -z "$srcdir" ] && srcdir=`dirname $0`
+[ -z "$srcdir" ] && srcdir=`dirname "$0"`
+set -u
 
 # read in functions
-. ${srcdir}/functions.inc
+. "${srcdir}/functions.inc"
 
 if [ -n "$1" ]; then
        id="$1"; shift
@@ -19,32 +20,34 @@ echo_n "starting server ${id} ..."
 
 # check weather getpid.sh returns valid PIDs. If not, don't start up the
 # test-server, because we won't be able to kill it at the end of the test.
-./getpid.sh sh > /dev/null 2>&1
+./getpid.sh sh >/dev/null
 if [ $? -ne 0 ]; then
-  echo " getpid.sh failed!"
-  exit 1
+       echo " getpid.sh failed!"
+       exit 1
 fi
 
 # check if there is a test-server already running
 ./getpid.sh T-ngircd${id} >/dev/null 2>&1
 if [ $? -eq 0 ]; then
-  echo " failure: test-server ${id} already running!"
-  exit 1
+       echo " failure: test-server ${id} already running!"
+       exit 1
 fi
 
 # generate MOTD for test-server
-echo "This is an ngIRCd Test Server" > ngircd-test${id}.motd
+echo "This is an ngIRCd Test Server" >ngircd-test${id}.motd
+
+# glibc memory checking, see malloc(3)
+MALLOC_CHECK_=3
+export MALLOC_CHECK_
 
 # starting up test-server ...
-./T-ngircd${id} -n -f ${srcdir}/ngircd-test${id}.conf $* \
+./T-ngircd${id} -n -f "${srcdir}/ngircd-test${id}.conf" "$@" \
  >ngircd-test${id}.log 2>&1 &
 sleep 1
 
 # validate running test-server
+r=1
 pid=`./getpid.sh T-ngircd${id}`
-[ -n "$pid" ] && kill -0 $pid > /dev/null 2>&1; r=$?
-
+[ -n "$pid" ] && kill -0 $pid >/dev/null 2>&1; r=$?
 [ $r -eq 0 ] && echo " ok." || echo " failure!"
 exit $r
-
-# -eof-